<?php get_header(); ?>

    <div id="left">

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

<?php /* If this is a category archive */ if (is_category()) { ?>

        <h1 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h1>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>

        <h1 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h1>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>

        <h1 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h1>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>

        <h1 class="pagetitle">Archive for <?php the_time('Y'); ?></h1>

<?php /* If this is a search */ } elseif (is_search()) { ?>

        <h1 class="pagetitle">Search Results</h1>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>

        <h1 class="pagetitle">Author Archive</h1>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>

        <h1 class="pagetitle">Blog Archives</h1>

<?php } ?>

<?php while (have_posts()) : the_post(); ?>

        <div class="post">

            <div class="date">

                <div><?php the_time('M') ?></div>

                <div class="day"><?php the_time('j') ?></div>

            </div><!-- .date -->

            <h1><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>

            <div class="postinfo">

                <span class="comments"><?php comments_popup_link('0 Comments', '1 Comment', '% Comments'); ?></span>

                <span class="digg"><a href="http://digg.com/submit">Digg</a></span>

                <span class="delicious"><a href="http://del.icio.us/post?url=<?php the_permalink() ?>">Del.icio.us</a></span>

            </div><!-- .postinfo -->

            <div class="entry">

<?php if(function_exists('the_excerpt_reloaded')) { the_excerpt_reloaded(80, '', 'content', FALSE); } else { the_excerpt(); } ?>

            </div><!-- .entry -->

            <div class="postinfo">

                <span class="more"><a href="<?php the_permalink() ?>">Keep Reading</a></span>

                <span class="category">Posted in the <?php the_category(', ') ?> category.</span>

            </div>

        </div><!-- .post -->

<?php endwhile; ?>

        <div class="navigation">

            <div class="rightside"><?php next_posts_link('Older Entries &raquo;') ?></div>

            <?php previous_posts_link('&laquo; Newer Entries') ?>

        </div><!-- .navigation -->

<?php else : ?>

        <div class="post">

            <h1>Not Found</h2>

            <p>Sorry, but you are looking for something that isn't here.</p>

<?php include (TEMPLATEPATH . "/searchform.php"); ?>

        </div><!-- .post-->

<?php endif; ?>

    </div><!-- #left -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>