<?php get_header(); ?>
    <div id="left">				
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <div class="post">
            <div class="date">
                <div><?php the_time('M') ?></div>
                <div class="day"><?php the_time('j') ?></div>
            </div><!-- .date -->
            <h1><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>
            <div class="postinfo">
                <span class="comments"><a href="<?php the_permalink() ?>#comments"><?php comments_number('0 Comments', '1 Comment', '% Comments' );?></a></span>
                <span class="digg"><a href="http://digg.com/submit">Digg</a></span>
                <span class="delicious"><a href="http://del.icio.us/post?url=<?php the_permalink() ?>">Del.icio.us</a></span>
            </div><!-- .postinfo -->
            <div class="entry">
<?php the_content() ?>
            </div><!-- .entry -->
            <div class="postinfo">
                <span class="category">Posted in the <?php the_category(', ') ?> category.</span>
            </div>
        </div><!-- .post -->
<?php if(function_exists('related_posts')) : ?>
        <div class="related">
            <h2>Related Posts</h2>
            <ul>
                <?php related_posts(4, 15, '<li>', '</li>', '', '', false, false); ?>

            </ul>
        </div><!-- .related -->
<?php endif; ?>
        <div class="post">
<?php comments_template(); ?>
        </div><!-- .post -->
<?php endwhile; else: ?>
    <div class="post">
        <p>Sorry, no posts matched your criteria.</p>
    </div><!-- .post -->
<?php endif; ?>
    </div><!-- #left -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>