<?php get_header(); ?>
    <div id="left">
<?php if (have_posts()) : ?>	
<?php while (have_posts()) : the_post(); ?>
        <div class="post">
            <div class="date">
                <div><?php the_time('M') ?></div>
                <div class="day"><?php the_time('j') ?></div>
            </div><!-- .date -->
            <h1><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>
            <div class="postinfo">
                <span class="comments"><?php comments_popup_link('0 Comments', '1 Comment', '% Comments'); ?></span>
                <span class="digg"><a href="http://digg.com/submit">Digg</a></span>
                <span class="delicious"><a href="http://del.icio.us/post?url=<?php the_permalink() ?>">Del.icio.us</a></span>
            </div><!-- .postinfo -->
            <div class="entry">
<?php if(function_exists('the_excerpt_reloaded')) { the_excerpt_reloaded(80, '<img><a><blockquote><strong><em><code><ol><ul><p><li>, ', 'content', FALSE); } else { the_excerpt(); } ?>
            </div><!-- .entry -->
            <div class="postinfo">
                <span class="more"><a href="<?php the_permalink() ?>">Keep Reading</a></span>
                <span class="category">Posted in the <?php the_category(', ') ?> category.</span>
            </div>
        </div><!-- .post -->
<?php endwhile; ?>
        <div class="navigation">
            <div class="rightside"><?php next_posts_link('Older Entries &raquo;') ?></div>
            <?php previous_posts_link('&laquo; Newer Entries') ?>
        </div><!-- .post -->
<?php else : ?>
        <div class="post">
            <h1>Not Found</h1>
            <p>Sorry, but you are looking for something that isn't here.</p>
<?php include (TEMPLATEPATH . "/searchform.php"); ?>
        </div><!-- .post-->
<?php endif; ?>
    </div><!-- #left -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>